var system = require("../../../system")
var settings = require("../../../../config/settings");
const CtlBase = require("../../ctl.base");
var cacheBaseComp = null;

class FormsubmitrecordCtl extends CtlBase {
    constructor() {
        super("formsubrecordmag", CtlBase.getServiceName(FormsubmitrecordCtl));
        this.formsubmitrecordSve = system.getObject("service.configmag.formsubmitrecordSve")
    }

    /**
     * 重写查询
     * @param pobj
     * @returns {Promise<*>}
     */
    async findAndCountAll(pobj){
        let result = this.formsubmitrecordSve.findAllRecord(pobj);
        return result;
    }
}

module.exports = FormsubmitrecordCtl;
